TreeDataLocator

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.tree.client
Class TreeDataLocator

    java.lang.Object
      org.openswing.swing.tree.client.TreeDataLocator

Direct Known Subclasses:
  LookupDataLocator, TreeServerDataLocator

public abstract class TreeDataLocator
extends java.lang.Object

Title: OpenSwing Framework

Description: Tree Data Source.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

Constructor Summary
`TreeDataLocator()`

Method Summary
`java.lang.String` | `getNodeNameAttribute()`
`abstract Response` | `getTreeModel(javax.swing.JTree tree)` Method called by the TreePanel to fill the tree.
`java.util.Map` | `getTreeNodeParams()`
`void` | `loadDataCompleted(boolean error)` Callback method invoked when the data loading is completed.
`void` | `setNodeNameAttribute(java.lang.String nodeNameAttribute)` Set the attribute name of the v.o. contained in UserObject that is used as node name.
`void` | `setTreeNodeParams(java.util.Map treeNodeParams)` Set the parameters used to retrieve children nodes.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeDataLocator

    public TreeDataLocator()

Method Detail

### getTreeModel

    public abstract Response getTreeModel(javax.swing.JTree tree)

  Method called by the TreePanel to fill the tree.

  Returns:
    a VOReponse containing a DefaultTreeModel object

### getTreeNodeParams

    public java.util.Map getTreeNodeParams()

  Returns:
    parameters used to retrieve children nodes

### setTreeNodeParams

    public void setTreeNodeParams(java.util.Map treeNodeParams)

  Set the parameters used to retrieve children nodes.

  Parameters:
    `treeNodeParams` - parameters used to retrieve children nodes

### getNodeNameAttribute

    public final java.lang.String getNodeNameAttribute()

  Returns:
    attribute name of the v.o. contained in UserObject that is used as node name

### setNodeNameAttribute

    public final void setNodeNameAttribute(java.lang.String nodeNameAttribute)

  Set the attribute name of the v.o. contained in UserObject that is used as node name.

  Parameters:
    `nodeNameAttribute` - attribute name of the v.o. contained in UserObject that is used as node name

### loadDataCompleted

    public void loadDataCompleted(boolean error)

  Callback method invoked when the data loading is completed.

  Parameters:
    `error` - `true` if data loading has terminated with errors, `false` otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD